#include <stdio.h>
#include <stdlib.h>
#include <stdbool.h>

void sortiraj(int *p, int n){
 bool zamena;
 do{
  zamena = false;
  for(int i=0; i<n-1; i++){
   if(*(p+i) > *(p+i+1)){
    int temp = *(p+i);
    *(p+i) = *(p+i+1);
    *(p+i+1) = temp;
    zamena = true;
   }
  }
 }while(zamena);
}

int proveri(int *a, int *b, int N, int M){
    int i=0,j;
    int x = *(a+i+1)-*(a+i);

    for(j=0;j<M;j++){
        if(*(b+j)+x==*(b+j+1))
            return 1;
    }
    return 0;
}

int main()
{
    int T,N,M,*a,*b;
    scanf("%i",&T);
    int x[T];
    for(int i=0;i<T;i++){
        scanf("%i %i",&N,&M);
        a = calloc(N, sizeof(int));
        b = calloc(M, sizeof(int));
        for(int j=0;j<N;j++)
            scanf("%i",(a+i));
        for(int k=0;k<M;k++)
            scanf("%i",(b+i));
        sortiraj(a,N);
        sortiraj(b,M);
        x[i] = proveri(a,b,N,M);
    }

    for(int i=0;i<T;i++)
        printf("\n%i",x[i]);

    return 0;
}